stages:
  - deploy
   

deploy:
  stage: deploy
  image: roffe/kubectl
  script:
    - kubectl config set-cluster cluster-first --server="$KUBE_URL" --insecure-skip-tls-verify=true
    - kubectl config set-credentials pantmal --token="$KUBE_TOKEN"
    - kubectl config set-context default --cluster=cluster-first --user=pantmal
    - kubectl config use-context default
    - sed -i "s/__VERSION__/gitlab-$CI_COMMIT_SHORT_SHA/" deployment.yaml
    - kubectl apply -f deployment.yaml
